## com.google.gwt.user.client.ui
Interface SourcesClickEvents

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, HTML, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, Label, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton

Deprecated. use `HasClickHandlers` instead

    @Deprecated
    public interface SourcesClickEvents

A widget that implements this interface sources the events defined by the `ClickListener` interface.

Method Summary
`void` | `addClickListener(ClickListener listener)` Deprecated. use `addClickHandler` instead
`void` | `removeClickListener(ClickListener listener)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addClickHandler` instead

Method Detail

### addClickListener

    @Deprecated
    void addClickListener(ClickListener listener)

  Deprecated. use `addClickHandler` instead

  Adds a listener interface to receive click events.

  Parameters:
    `listener` - the listener interface to add

### removeClickListener

    @Deprecated
    void removeClickListener(ClickListener listener)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addClickHandler` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove